NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Annotations::BaseFrameBarBuilder Class Reference

Represents a NXOpen::Annotations::BaseFrameBarBuilder . More...

Inheritance diagram for NXOpen::Annotations::BaseFrameBarBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder NXOpen::Annotations::FrameBarBuilder

Public Types

enum  AxisType { AxisTypeX, AxisTypeY, AxisTypeZ }
 Enum for Ship Axis This is used by NXOpen::Annotations::BaseFrameBarBuilder::Axis and NXOpen::Annotations::BaseFrameBarBuilder::SetAxis to get/set the axis for a frame bar. More...
 

Public Member Functions

bool AftPerpendicular ()
 Returns the aft perpendicular
Created in NX8.0.0. More...
 
NXOpen::Annotations::BaseFrameBarBuilder::AxisType Axis ()
 Returns the axis
Created in NX8.0.0. More...
 
bool Baseline ()
 Returns the baseline
Created in NX8.0.0. More...
 
bool BulkHeads ()
 Returns the bulk heads
Created in NX8.0.0. More...
 
bool Centerline ()
 Returns the centerline
Created in NX8.0.0. More...
 
void CreateFrameBarObject ()
 Creates frame bar object
Created in NX8.0.0. More...
 
bool Decks ()
 Returns the decks
Created in NX8.0.0. More...
 
bool ForwardPerpendicular ()
 Returns the forward perpendicular
Created in NX8.0.0. More...
 
NXOpen::Annotations::BaseFrameBarGetFramebar ()
 The frame bar. More...
 
bool InterTransverseFrames ()
 Returns the inter transverse frames
Created in NX8.0.0. More...
 
bool LongitudinalYFrames ()
 Returns the longitudinal yframes
Created in NX8.0.0. More...
 
bool LongitudinalZFrames ()
 Returns the longitudinal zframes
Created in NX8.0.0. More...
 
NXOpen::Annotations::OriginBuilderOrigin ()
 Returns the origin
Created in NX8.0.0. More...
 
void ReverseTics ()
 This function is used to reverse tics on the framebar
Created in NX8.0.0. More...
 
void SetAftPerpendicular (bool aftPerpendicular)
 Sets the aft perpendicular
Created in NX8.0.0. More...
 
void SetAxis (NXOpen::Annotations::BaseFrameBarBuilder::AxisType axis)
 Sets the axis
Created in NX8.0.0. More...
 
void SetBaseline (bool baseline)
 Sets the baseline
Created in NX8.0.0. More...
 
void SetBulkHeads (bool bulkHeads)
 Sets the bulk heads
Created in NX8.0.0. More...
 
void SetCenterline (bool centerline)
 Sets the centerline
Created in NX8.0.0. More...
 
void SetDecks (bool decks)
 Sets the decks
Created in NX8.0.0. More...
 
void SetForwardPerpendicular (bool forwardPerpendicular)
 Sets the forward perpendicular
Created in NX8.0.0. More...
 
void SetInterTransverseFrames (bool interTransverseFrames)
 Sets the inter transverse frames
Created in NX8.0.0. More...
 
void SetLongitudinalYFrames (bool longitudinalYFrames)
 Sets the longitudinal yframes
Created in NX8.0.0. More...
 
void SetLongitudinalZFrames (bool longitudinalZFrames)
 Sets the longitudinal zframes
Created in NX8.0.0. More...
 
void SetTransveralInsertArea (bool transveralInsertArea)
 Sets the transveral insert area
Created in NX8.0.0. More...
 
void SetTransverseFrames (bool transverseFrames)
 Sets the transverse frames
Created in NX8.0.0. More...
 
void SetWaterline (bool waterline)
 Sets the waterline
Created in NX8.0.0. More...
 
NXOpen::Annotations::StyleBuilderStyle ()
 Returns the style
Created in NX8.0.0. More...
 
bool TransveralInsertArea ()
 Returns the transveral insert area
Created in NX8.0.0. More...
 
bool TransverseFrames ()
 Returns the transverse frames
Created in NX8.0.0. More...
 
void UpdateFrameBarFromStyle ()
 Updates frame bar object as per style
Created in NX8.0.0. More...
 
void UpdateFromConceptModel ()
 This function is used to update framebar from Concept model
Created in NX8.0.0. More...
 
NXOpen::Drawings::SelectDraftingViewView ()
 Returns the select view
Created in NX8.0.0. More...
 
bool Waterline ()
 Returns the waterline
Created in NX8.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Annotations::BaseFrameBarBuilder .

This class allows to create frame bar annotation
This is an abstract class, and cannot be instantiated.

Created in NX8.0.0.

Member Enumeration Documentation

Enum for Ship Axis This is used by NXOpen::Annotations::BaseFrameBarBuilder::Axis and NXOpen::Annotations::BaseFrameBarBuilder::SetAxis to get/set the axis for a frame bar.

Enumerator
AxisTypeX 

Ship X Axis.

AxisTypeY 

Ship Y Axis.

AxisTypeZ 

Ship Z Axis.

Member Function Documentation

bool NXOpen::Annotations::BaseFrameBarBuilder::AftPerpendicular ( )

Returns the aft perpendicular
Created in NX8.0.0.



License requirements : None

NXOpen::Annotations::BaseFrameBarBuilder::AxisType NXOpen::Annotations::BaseFrameBarBuilder::Axis ( )

Returns the axis
Created in NX8.0.0.



License requirements : None

bool NXOpen::Annotations::BaseFrameBarBuilder::Baseline ( )

Returns the baseline
Created in NX8.0.0.



License requirements : None

bool NXOpen::Annotations::BaseFrameBarBuilder::BulkHeads ( )

Returns the bulk heads
Created in NX8.0.0.



License requirements : None

bool NXOpen::Annotations::BaseFrameBarBuilder::Centerline ( )

Returns the centerline
Created in NX8.0.0.



License requirements : None

void NXOpen::Annotations::BaseFrameBarBuilder::CreateFrameBarObject ( )

Creates frame bar object
Created in NX8.0.0.



License requirements : nx_ship_drafting ("Ship Drafting")

bool NXOpen::Annotations::BaseFrameBarBuilder::Decks ( )

Returns the decks
Created in NX8.0.0.



License requirements : None

bool NXOpen::Annotations::BaseFrameBarBuilder::ForwardPerpendicular ( )

Returns the forward perpendicular
Created in NX8.0.0.



License requirements : None

NXOpen::Annotations::BaseFrameBar* NXOpen::Annotations::BaseFrameBarBuilder::GetFramebar ( )

The frame bar.

Returns
The frame bar
Created in NX8.0.0.

License requirements : None
bool NXOpen::Annotations::BaseFrameBarBuilder::InterTransverseFrames ( )

Returns the inter transverse frames
Created in NX8.0.0.



License requirements : None

bool NXOpen::Annotations::BaseFrameBarBuilder::LongitudinalYFrames ( )

Returns the longitudinal yframes
Created in NX8.0.0.



License requirements : None

bool NXOpen::Annotations::BaseFrameBarBuilder::LongitudinalZFrames ( )

Returns the longitudinal zframes
Created in NX8.0.0.



License requirements : None

NXOpen::Annotations::OriginBuilder* NXOpen::Annotations::BaseFrameBarBuilder::Origin ( )

Returns the origin
Created in NX8.0.0.



License requirements : None

void NXOpen::Annotations::BaseFrameBarBuilder::ReverseTics ( )

This function is used to reverse tics on the framebar
Created in NX8.0.0.



License requirements : nx_ship_drafting ("Ship Drafting")

void NXOpen::Annotations::BaseFrameBarBuilder::SetAftPerpendicular ( bool  aftPerpendicular)

Sets the aft perpendicular
Created in NX8.0.0.



License requirements : nx_ship_drafting ("Ship Drafting")

Parameters
aftPerpendicularaftperpendicular
void NXOpen::Annotations::BaseFrameBarBuilder::SetAxis ( NXOpen::Annotations::BaseFrameBarBuilder::AxisType  axis)

Sets the axis
Created in NX8.0.0.



License requirements : nx_ship_drafting ("Ship Drafting")

Parameters
axisaxis
void NXOpen::Annotations::BaseFrameBarBuilder::SetBaseline ( bool  baseline)

Sets the baseline
Created in NX8.0.0.



License requirements : nx_ship_drafting ("Ship Drafting")

Parameters
baselinebaseline
void NXOpen::Annotations::BaseFrameBarBuilder::SetBulkHeads ( bool  bulkHeads)

Sets the bulk heads
Created in NX8.0.0.



License requirements : nx_ship_drafting ("Ship Drafting")

Parameters
bulkHeadsbulkheads
void NXOpen::Annotations::BaseFrameBarBuilder::SetCenterline ( bool  centerline)

Sets the centerline
Created in NX8.0.0.



License requirements : nx_ship_drafting ("Ship Drafting")

Parameters
centerlinecenterline
void NXOpen::Annotations::BaseFrameBarBuilder::SetDecks ( bool  decks)

Sets the decks
Created in NX8.0.0.



License requirements : nx_ship_drafting ("Ship Drafting")

Parameters
decksdecks
void NXOpen::Annotations::BaseFrameBarBuilder::SetForwardPerpendicular ( bool  forwardPerpendicular)

Sets the forward perpendicular
Created in NX8.0.0.



License requirements : nx_ship_drafting ("Ship Drafting")

Parameters
forwardPerpendicularforwardperpendicular
void NXOpen::Annotations::BaseFrameBarBuilder::SetInterTransverseFrames ( bool  interTransverseFrames)

Sets the inter transverse frames
Created in NX8.0.0.



License requirements : nx_ship_drafting ("Ship Drafting")

Parameters
interTransverseFramesintertransverseframes
void NXOpen::Annotations::BaseFrameBarBuilder::SetLongitudinalYFrames ( bool  longitudinalYFrames)

Sets the longitudinal yframes
Created in NX8.0.0.



License requirements : nx_ship_drafting ("Ship Drafting")

Parameters
longitudinalYFrameslongitudinalyframes
void NXOpen::Annotations::BaseFrameBarBuilder::SetLongitudinalZFrames ( bool  longitudinalZFrames)

Sets the longitudinal zframes
Created in NX8.0.0.



License requirements : nx_ship_drafting ("Ship Drafting")

Parameters
longitudinalZFrameslongitudinalzframes
void NXOpen::Annotations::BaseFrameBarBuilder::SetTransveralInsertArea ( bool  transveralInsertArea)

Sets the transveral insert area
Created in NX8.0.0.



License requirements : nx_ship_drafting ("Ship Drafting")

Parameters
transveralInsertAreatransveralinsertarea
void NXOpen::Annotations::BaseFrameBarBuilder::SetTransverseFrames ( bool  transverseFrames)

Sets the transverse frames
Created in NX8.0.0.



License requirements : nx_ship_drafting ("Ship Drafting")

Parameters
transverseFramestransverseframes
void NXOpen::Annotations::BaseFrameBarBuilder::SetWaterline ( bool  waterline)

Sets the waterline
Created in NX8.0.0.



License requirements : nx_ship_drafting ("Ship Drafting")

Parameters
waterlinewaterline
NXOpen::Annotations::StyleBuilder* NXOpen::Annotations::BaseFrameBarBuilder::Style ( )

Returns the style
Created in NX8.0.0.



License requirements : None

bool NXOpen::Annotations::BaseFrameBarBuilder::TransveralInsertArea ( )

Returns the transveral insert area
Created in NX8.0.0.



License requirements : None

bool NXOpen::Annotations::BaseFrameBarBuilder::TransverseFrames ( )

Returns the transverse frames
Created in NX8.0.0.



License requirements : None

void NXOpen::Annotations::BaseFrameBarBuilder::UpdateFrameBarFromStyle ( )

Updates frame bar object as per style
Created in NX8.0.0.



License requirements : nx_ship_drafting ("Ship Drafting")

void NXOpen::Annotations::BaseFrameBarBuilder::UpdateFromConceptModel ( )

This function is used to update framebar from Concept model
Created in NX8.0.0.



License requirements : nx_ship_drafting ("Ship Drafting")

NXOpen::Drawings::SelectDraftingView* NXOpen::Annotations::BaseFrameBarBuilder::View ( )

Returns the select view
Created in NX8.0.0.



License requirements : None

bool NXOpen::Annotations::BaseFrameBarBuilder::Waterline ( )

Returns the waterline
Created in NX8.0.0.



License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.